zxing-cpp (3.1.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Update python3 binding build-dependency.
  * debian/copyright: Also exclude go wrapper.
  * debian/watch: Update zint version monitoring (2.16.x for now).
  * debian/rules: Use -DCMAKE_SKIP_INSTALL_RPATH=ON to avoid
    embedded RPATH in shared libraries.
  * debian/rules: Explicitly set ZXING_PYTHON_INSTALL_LIBDIR to
    lib/python3/dist-packages/zxingcpp to fix FTBFS.
  * debian/python3-zxing-cpp.install: Ship the whole zxingcpp package
    directory.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Jul 2026 22:25:02 -0400

zxing-cpp (3.0.2+ds-2) unstable; urgency=medium

  * debian/control: Add new build-dep libopencv-dev to build the
    executable ZXingOpenCV. (Closes: #993012)
  * debian/patches/0001-Install-ZXingOpenCV-example-tool.patch: Added
    to install example tool.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Mar 2026 12:14:32 -0400

zxing-cpp (3.0.2+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Mar 2026 08:47:53 -0500

zxing-cpp (3.0.2+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Feb 2026 19:09:13 -0500

zxing-cpp (3.0.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Enable ZXING_EXAMPLE_QT build flag.

 -- Boyuan Yang <byang@debian.org>  Thu, 12 Feb 2026 11:03:36 -0500

zxing-cpp (3.0.0+ds-1~exp2) experimental; urgency=medium

  * debian/patches/backport/6c953c6f0b9893fdbec5e3f9d510b4e06ccd2265.patch:
    Add patch from upstream trunk on libreoffice compatibility fix.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Feb 2026 20:02:06 -0500

zxing-cpp (3.0.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Drop unnecessary versioned dep.
  * debian/gbp.conf: Properly add zint component.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Feb 2026 13:33:28 -0500

zxing-cpp (3.0.0~rc1+ds-1~exp2) experimental; urgency=medium

  * debian/patches/backport/: Backport upstream trunk commits.
  * debian/control: Drop unnecessary (test-)build-dep libgtest-dev,
    libgmock-dev.
  * debian/control: Drop unnecessary build-dep libpng-dev, libfmt-dev.
  * debian/control: Add Qt6 build-deps to enable Qt6-based wrapper
    building.
  * debian/control: Update package description following upstream
    suggestion.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Feb 2026 09:41:27 -0500

zxing-cpp (3.0.0~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    + Repack the tarball to include zint/2.16.0 source code as MUT
      component as suggested upstream.
  * debian/watch: Update to version 5 and add the zint component.
  * debian/copyright: Add information from zint component.
  * debian/: Bump library SONAME to 4.
  * debian/rules: Update build flags following upstream suggestion.
  * debian/control: Build-depends on system libpng-dev.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Feb 2026 14:45:34 -0500

zxing-cpp (2.3.0-5) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/tests/control: Manually write python-based autopkgtest
    instead of relying on autodep8 for autopkgtest generation since
    this package is only built against the default python3 version,
    not all supported python3 version.
  * debian/tests/autopkgtest-pkg-python.conf: Deleted accordingly.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1123686)
    + Multiarchify Python Build-Depends.
    + Export sysconfig data for cross compilation.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Feb 2026 12:36:05 -0500

zxing-cpp (2.3.0-4) unstable; urgency=medium

  * debian/patches/backport/: Cherry-pick upstream-suggested patches
    and prepare for Debian 13 release:
     - backport/3adaebc1a8a198d1e3b8eed169621a03d81cf387.patch
     - backport/82806f5f92173b8cb4e1e9bee13a2d07a33fb69f.patch
     - backport/93175e071d1719c44c0ad1193539141eb846999f.patch
     - backport/f3e36d0297d434a9c4b87035583760afda953360.patch
     - backport/ba3b61feb918a2371b2a991e759bde7c380b6a23.patch
     - backport/68c5727ba30bccf93056f8d19ba9cfc55994f2b5.patch
     - backport/36495ef0358c3d56d2e06e8a8ffdaac6afafcdb8.patch
     - backport/b46534d9bca0ce1832ee192c80e7395b999341b7.patch
     - backport/f45c1f0b4bf48c80fb7fb6ce42c7457eba379013.patch
     - 0010-Disable-test-unit-aztec-AZDecoderTest.cpp.patch:
       Needed to incorporate fuzzy patches.
    Note that test changes in some patches are dropped to handle
    fuzzy patches.
  * debian/rules: Drop definition of NDEBUG macro since the proper
    fix has been merged in the patches.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Apr 2025 14:07:19 -0400

zxing-cpp (2.3.0-3) unstable; urgency=medium

  * debian/rules: Define NDEBUG macro for now to circumvent upstream
    abuse of NDEBUG macro in 2.3.0 release. (Closes: #1095196)

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Feb 2025 15:47:30 -0500

zxing-cpp (2.3.0-2) unstable; urgency=medium

  * debian/rules: Enable building C API as suggested upstream.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jan 2025 19:51:36 -0500

zxing-cpp (2.3.0-1) unstable; urgency=medium

  * New upstream release 2.3.0.
  * debian/patches/: Drop all old patches, merged upstream.
  * debian/rules:
    + Update all CMake option names.
    + Add option to use system zint by default.
  * debian/copyright: Update Files-Excluded pattern and copyright info.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jan 2025 09:54:35 -0500

zxing-cpp (2.2.1-3) unstable; urgency=medium

  * debian/control: Add python3-opencv <!nocheck> as build-dep.
  * debian/patches/backport/: Cherry-pick upstream-suggested patches
    and prepare for Ubuntu 24.04 LTS:
    - ac88bce74311fdbf376faf0bc88e90d0990d048a.patch
    - e607eb72b70e3c774821213184e1f546964db593.patch
    - handling/82be565c80495dd8c5c186a26eaeb95e3b2a0513.patch
    - handling/d6177733db1e5af6b010de08079476dc045af76f.patch
    - handling/89cac928c62c3fe833504dcef2e7f1af53b0786b.patch
    - crashfix/d1c34452b0a0a9a4936666e969c88f774f399c78.patch
    - crashfix/6ab17fdce1b8f0e605c1eb0266da63eca261529a.patch
    - cmdline/c580d1e0c0c53a58cea1789b5a9dd8e78b5a53e1.patch
    - cmdline/e01f2d4f8f5550f63f25e236be7058327895ecc7.patch
    - performance/fb617df67f497e5da13c8cad7e5d5e71bcb36a3f.patch
    - performance/19470ad786d534ba78025ae88b82013820721c26.patch

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Feb 2024 20:37:47 -0500

zxing-cpp (2.2.1-2) unstable; urgency=medium

  * debian/control: Drop transitional dummy package libzxingcore-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 09 Feb 2024 22:31:35 -0500

zxing-cpp (2.2.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Dec 2023 15:51:57 -0500

zxing-cpp (2.2.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/libzxing3.shlibs: Bump minimum reverse library version
    requirement to v2.2.1 (See upstream issue 685).
  * debian/patches/:
    + 0001-DecodeHints-limit-the-2.2.1-c-ABI-fix-to-shared-libr.patch:
      Backport upstream trunk patch to fix compatibility with zxing-cpp
      2.1.x series. This is less useful in the Debian world, but might
      be useful when using external binaries that are built against
      earlier zxing-cpp 2.x versions.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Dec 2023 14:49:13 -0500

zxing-cpp (2.1.0-3) experimental; urgency=medium

  * debian/rules:
    - Disable BUILD_UNIT_TESTS as suggested upstream. This flag should
      only be used in debug builds.
    - Use C++20 build to enable DataMatrix multi-symbol detection.
      (See #1028912)

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Oct 2023 13:55:00 -0400

zxing-cpp (2.1.0-2) experimental; urgency=medium

  * debian/copyright: Updated following upstream suggestion.
  * debian/rules: Set -DBUILD_DEPENDENCIES=LOCAL to force local build.
  * debian/: Drop Qt-based build-dep; not using them for now.
  * debian/rules: Try to export buildflags.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Oct 2023 15:13:55 -0400

zxing-cpp (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/: Bump library SONAME to 3.
  * debian/control:
    + Bump Standards-Version to 4.6.2.
    + Add build-dependency on libgtest-dev and libgmock-dev.
  * debian/patches: Drop all previous patches.
  * debian/gbp.conf: Enable ignore-branch setting.
  * debian/rules:
    - Drop disappeared BUILD_SYSTEM_DEPS flag.
    - Enable full googletest testing.
    - Skip tests that require test/samples/ directory.
    - Make the build follow nocheck build profile.
  * debian/libzueci/*: Add the original data files needed to regenerate
    libzueci C headers.

  [ Johannes Schauer Marin Rodrigue ]
  * debian/salsa-ci.yml: Added.
  * debian/: Update project homepage information.
  * debian/tests/autopkgtest-pkg-python.conf:
    + set module import_name for autodep8.

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Oct 2023 10:43:21 -0400

zxing-cpp (1.4.0-3) unstable; urgency=medium

  * Team upload.
  * debian/control: remove libzxing2 breaks libzxingcore1

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 30 Dec 2022 10:55:50 +0100

zxing-cpp (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * source-only upload

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 29 Dec 2022 22:26:10 +0100

zxing-cpp (1.4.0-1) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * Team upload.
  * Upload 1.4.0 to unstable, starting transition.

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Build-depends on python3-dev instead of python3-all-dev.
    (Closes: #1024316)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 29 Dec 2022 17:59:37 +0100

zxing-cpp (1.4.0-1~exp2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * add patch from upstream to work with libfmt v9.0.0 (closes: #1021686)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 26 Dec 2022 22:19:47 +0100

zxing-cpp (1.4.0-1~exp2) experimental; urgency=medium

  * Introduce new package zxing-cpp-tools for ZXingReader and
    ZXingWriter binaries. (Closes: #1021419)
  * debian/copyright: Refresh copyright information.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 17:30:15 -0400

zxing-cpp (1.4.0-1~exp1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove unused license definitions for public-domain.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/patches: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 16:23:43 -0400

zxing-cpp (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Add new build-dep libstb-dev.
  * debian/copyright: Refresh information.
  * Bump SONAME to 2 in advance, rename packages accordingly:
    + libzxing1 -> libzxing2.

 -- Boyuan Yang <byang@debian.org>  Mon, 09 May 2022 11:05:17 -0400

zxing-cpp (1.2.0+git20211228+ds1-1~exp3) experimental; urgency=medium

  * Partially re-enable BLACKBOX tests. (Closes: #1004653)
    + Also patch test/blackbox/CMakeLists.txt for partial test.

 -- Boyuan Yang <byang@debian.org>  Mon, 31 Jan 2022 12:27:22 -0500

zxing-cpp (1.2.0+git20211228+ds1-1~exp2) experimental; urgency=medium

  * debian/python3-zxing-cpp.docs: Also install README.md.
  * debian/python3-zxing-cpp.examples: Also install example scripts.

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Jan 2022 13:22:33 -0500

zxing-cpp (1.2.0+git20211228+ds1-1~exp1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove constraints unnecessary since buster.

  [ Boyuan Yang ]
  * New upstream version 1.2.0+git20211228+ds1.
    + ds: Remove test/samples for now due to unclear license.
  * Rename package: libzxingcore* -> libzxing*.
  * Mark libzxing-dev as M-A: same.
  * debian/libzxing1.shlibs: Limit to latest release.
  * Enable python wrapper support: python3-zxing-cpp. (Closes: #993013)
  * debian/copyright: Updated.

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Jan 2022 15:23:13 -0500

zxing-cpp (1.2.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 20:52:32 -0400

zxing-cpp (1.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Add new build-dependency: qtbase5-dev.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Jun 2021 16:24:25 -0400

zxing-cpp (1.1.1-2) unstable; urgency=medium

  * debian/control: Update build-dependency and package description
    according to upstream recommendation.
  * Rebuild before Debian 11 release.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Dec 2020 19:31:32 -0500

zxing-cpp (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Sep 2020 18:53:42 -0400

zxing-cpp (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Aug 2020 16:08:00 -0400

zxing-cpp (1.0.8+ds2-2) unstable; urgency=high

  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jan 2020 10:39:58 -0500

zxing-cpp (1.0.8+ds2-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2020 16:51:37 -0500
